Skip to content

Midjourney Video ​

Submit video generation or video extend jobs. Supports:

  1. Direct generation from
  2. Extend an existing ( = )

This endpoint has no field.

http
POST /mj/submit/video

Request headers ​

NameTypeRequiredDescription
stringYesBearer token, e.g.
stringYes

Request body ​

NameTypeRequiredDescription
stringNo /
stringNoUsed for direct generation
stringNoParent video task ID; required for extend
integerNoVideo index; required when is set
stringNo /
stringNoFirst-frame URL or Base64
stringNoe.g. ; when set, and are required
stringNoCallback URL
stringNoOpaque state

Request example ​

bash
curl -X POST https://octopusx.ai/mj/submit/video \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "mode": "RELAX",
    "prompt": "Cat",
    "motion": "low"
  }'

Response example ​

json
{
  "code": 1,
  "description": "Submit success",
  "result": "1712158011464911"
}

Response fields ​

NameTypeDescription
integer ok, otherwise error
stringStatus text
stringTask ID